package com.cringe_studios.cristmastreescanning;
import static org.junit.jupiter.api.Assertions.assertEquals;

import java.awt.Color;
import java.awt.Point;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

import javax.imageio.ImageIO;

import org.junit.jupiter.api.Test;

import com.cringe_studios.christmastreescanning.scanning.ImageScanner;

public class ExampleTest {

	@Test
	public void testSus() {
		assertEquals(1 + 1, 2);
	}
	
	@Test
	public void generateVisualTestImagees() {
		Path results;
		try {
			results = Files.createTempDirectory("testResult");
			for(int i = 0; i < 100; i++) {
				try {
					BufferedImage image = ImageIO.read(ExampleTest.class.getResourceAsStream("/0_" + i + ".png"));
					Point p = ImageScanner.getBrightestSpot(image);
					for(int j = -2; j < 2; j++) {
						for(int k = -2; k < 2; k++) {
							if(p.x + j > 0 && p.x + j < image.getWidth() && p.y + k > 0 && p.y + k < image.getHeight()) image.setRGB(p.x + j, p.y + k, Color.red.getRGB());
						}
					}
					ImageIO.write(image, "png", Files.newOutputStream(results.resolve(String.valueOf(i) + ".png")));
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
