package com.cringe_studios.christmastreescanning.scanning;

import java.awt.geom.Point2D;

public class PointInterpolator {
	Point2D points[];
	
	public PointInterpolator(Point2D...na) {
		points = na;
	}
	
	Point2D getCenter() {
		double xSum = 0;
		double ySum = 0;
		
		for(int i = 0; i < points.length; i++) {
			xSum += points[i].getX();
			ySum += points[i].getY();
		}
		
		return new Point2D.Double( xSum / points.length, ySum / points.length);
	}
}
